LibreOffice LibreOffice 26.2 SDK API Reference

Included Services | List of all members
ConfigurationUpdateAccess Service Referencepublished

provides modifying access to a fragment of the configuration hierarchy. More...

`import"ConfigurationUpdateAccess.idl";`

Inheritance diagram for ConfigurationUpdateAccess:

## Included Services
service | ConfigurationAccess
| is the basic service providing read access to an element of the configuration hierarchy and its child and descendent elements. More...
service | SetUpdate
| specializes SetAccess to support modifying the element. More...
service | GroupUpdate
| specializes GroupAccess to support modifying contained data. More...
service | UpdateRootElement
| specializes AccessRootElement to support transaction-like control over a batch of changes accumulated within the tree fragment. More...
Included Services inherited from ConfigurationAccess
service | HierarchyAccess
| provides interfaces to access child and descendent elements. More...
service | HierarchyElement
| provides interfaces to obtain information about this element and its role and context in the hierarchy. More...
service | SetAccess
| specializes HierarchyAccess, if this element is a Set. More...
service | GroupAccess
| specializes HierarchyAccess, if this element is a Group. More...
service | AccessRootElement
| specializes HierarchyElement, if this element is the Root of the whole hierarchy. More...
service | SetElement
| specializes HierarchyElement, if this element may be contained in a Set. More...
service | GroupElement
| specializes HierarchyElement, if this element is a child of a Group. More...
Included Services inherited from SetAccess
service | HierarchyAccess
| is the basic service for accessing child and descendent nodes in a hierarchy. More...
service | SimpleSetAccess
| is the basic service providing information about and access to elements of a not necessarily hierarchical set. More...
Included Services inherited from GroupAccess
service | HierarchyAccess
| is the basic service for accessing child and descendent nodes using a view of the tree as a container of values and structuring elements. More...
service | PropertyHierarchy
| is the basic service for accessing child and descendent nodes using a view of the tree as a hierarchy of properties and subproperties. More...
Included Services inherited from AccessRootElement
service | HierarchyElement
| the basic service for accessing information about an element in the hierarchy. More...
Included Services inherited from SetElement
service | HierarchyElement
| is the basic service for accessing information about an element in the hierarchy. More...
Included Services inherited from GroupElement
service | HierarchyElement
| is the basic service for accessing information about an element in the hierarchy. More...
Included Services inherited from SetUpdate
service | SetAccess
| is the basic service providing read access to a set within the hierarchy. More...
service | SimpleSetUpdate
| is the basic service providing modifying access to a not necessarily hierarchical set. More...
Included Services inherited from SimpleSetUpdate
service | SimpleSetAccess
| is the basic service providing read access to a (not necessarily hierarchical) set. More...
Included Services inherited from GroupUpdate
service | GroupAccess
| is the basic service providing read access to a group element of the hierarchy. More...
Included Services inherited from UpdateRootElement
service | AccessRootElement
| provides (read-only) access to information about the root element of (a fragment of) the hierarchy. More...

## Additional Inherited Members
Exported Interfaces inherited from HierarchyAccess
interface | com::sun::star::container::XNameAccess
| allows access to immediate children of this node. More...
interface | com::sun::star::container::XHierarchicalNameAccess
| allows access to all descendants of this node More...
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to immediate child nodes. More...
interface | com::sun::star::beans::XExactName
| provides support for inexact names. More...
interface | com::sun::star::beans::XPropertySetInfo
| provides information about immediate children of this node. More...
interface | com::sun::star::beans::XPropertyState
| provides access to the state of child elements of an implementation. More...
interface | com::sun::star::beans::XMultiPropertyStates
| provides access to the states of multiple child elements of an implementation. More...
Exported Interfaces inherited from HierarchyElement
interface | com::sun::star::container::XHierarchicalName
| provides the complete hierarchical name of this element within the hierarchy tree. More...
interface | com::sun::star::container::XNamed
| provides the local name of this element within its parent. More...
interface | com::sun::star::beans::XProperty
| provides a property descriptor for this element. More...
interface | com::sun::star::beans::XPropertyWithState
| provides access to the default state of this element. More...
interface | com::sun::star::container::XChild
| provides access to the parent of this element [optional]. More...
Exported Interfaces inherited from SetAccess
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to the set. More...
Exported Interfaces inherited from SimpleSetAccess
interface | com::sun::star::container::XNameAccess
| is the basic service for accessing child and descendent nodes. More...
interface | com::sun::star::configuration::XTemplateContainer
| provides additional information about the element type. More...
interface | com::sun::star::util::XStringEscape
| allows normalizing and denormalizing external names. More...
interface | com::sun::star::container::XContainer
| allows attaching listeners to this node to monitor changes to the set. More...
Exported Interfaces inherited from GroupAccess
interface | com::sun::star::beans::XPropertyState
| provides access to the state of child elements of an implementation. More...
interface | com::sun::star::beans::XMultiPropertyStates
| provides access to the states of multiple child elements of an implementation. More...
Exported Interfaces inherited from PropertyHierarchy
interface | com::sun::star::beans::XPropertySet
| provides access to and information about the immediate properties of an implementation. More...
interface | com::sun::star::beans::XMultiPropertySet
| provides access to and information about the immediate properties of an implementation. More...
interface | com::sun::star::beans::XHierarchicalPropertySet
| provides access to and information about the whole hierarchy of properties and subproperties of an implementation. More...
interface | com::sun::star::beans::XMultiHierarchicalPropertySet
| provides access to and information about the whole hierarchy of properties and subproperties of an implementation. More...
Exported Interfaces inherited from AccessRootElement
interface | com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of the whole hierarchy. More...
interface | com::sun::star::util::XChangesNotifier
| allows registering listeners that observe the whole hierarchy. More...
interface | com::sun::star::lang::XLocalizable
| provides access to the locale that applies to locale-dependent data in this hierarchy. More...
Exported Interfaces inherited from SetElement
interface | com::sun::star::container::XChild
| provides access to the containing set object. More...
interface | com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of the object. More...
interface | com::sun::star::configuration::XTemplateInstance
| provides information about the type of the element. More...
Exported Interfaces inherited from GroupElement
interface | com::sun::star::container::XChild
| provides access to the containing group object. More...
Exported Interfaces inherited from SimpleSetUpdate
interface | com::sun::star::container::XNameContainer
| allows inserting, removing, and replacing elements. More...
interface | com::sun::star::lang::XSingleServiceFactory
| allows creating an object that can be inserted into this set. More...
interface | com::sun::star::lang::XMultiServiceFactory
| allows creating various objects that can be inserted into this set. More...
Exported Interfaces inherited from GroupUpdate
interface | com::sun::star::container::XNameReplace
| allows replacing values. More...
Exported Interfaces inherited from UpdateRootElement
interface | com::sun::star::util::XChangesBatch
| allows managing changes within the hierarchy. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XExactName
string | getExactName ([in] string aApproximateName)
Public Member Functions inherited from XHierarchicalName
string | getHierarchicalName ()
string | composeHierarchicalName ([in] string aRelativeName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| builds the hierarchical name of an object, given a relative name More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Member Functions inherited from XPropertySetInfo
sequence< com::sun::star::beans::Property > | getProperties ()
com::sun::star::beans::Property | getPropertyByName ([in] string aName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByName ([in] string Name)
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value. More...
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values. More...
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values. More...
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XProperty
com::sun::star::beans::Property | getAsProperty ()
Protected Member Functions inherited from XPropertyWithState
com::sun::star::beans::PropertyState | getStateAsProperty ()
void | setToDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
| sets this to its default value. More...
com::sun::star::uno::XInterface | getDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Protected Member Functions inherited from XTemplateContainer
string | getElementTemplateName ()
| retrieves the name of the template More...
Protected Member Functions inherited from XStringEscape
string | escapeString ([in] string aString) raises ( com::sun::star::lang::IllegalArgumentException)
| encodes an arbitrary string into an escaped form compatible with some naming rules. More...
string | unescapeString ([in] string aEscapedString) raises ( com::sun::star::lang::IllegalArgumentException)
| decodes an escaped string into the original form. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XHierarchicalPropertySet
com::sun::star::beans::XHierarchicalPropertySetInfo | getHierarchicalPropertySetInfo ()
| retrieve information about the hierarchy of properties More...
void | setHierarchicalPropertyValue ([in] string aHierarchicalPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified nested name. More...
any | getHierarchicalPropertyValue ([in] string aHierarchicalPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiHierarchicalPropertySet
com::sun::star::beans::XHierarchicalPropertySetInfo | getHierarchicalPropertySetInfo ()
| retrieve information about the hierarchy of properties More...
void | setHierarchicalPropertyValues ([in] sequence< string > aHierarchicalPropertyNames, [in] sequence< any > Values) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of the properties with the specified nested names. More...
sequence< any > | getHierarchicalPropertyValues ([in] sequence< string > aPropertyNames) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XChangesNotifier
void | addChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| adds the specified listener to receive events when changes occurred. More...
void | removeChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XLocalizable
void | setLocale ([in] Locale eLocale)
| sets the locale to be used by this object. More...
Locale | getLocale ()
Protected Member Functions inherited from XTemplateInstance
string | getTemplateName ()
| retrieves the name of the template More...
Protected Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Protected Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Protected Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments. More...
Protected Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Protected Member Functions inherited from XChangesBatch
void | commitChanges () raises ( com::sun::star::lang::WrappedTargetException )
| commits any pending changes. More...
boolean | hasPendingChanges ()
| checks whether this object has any pending changes that can be committed. More...
ChangesSet | getPendingChanges ()
| queries for any pending changes that can be committed. More...

## Detailed Description

provides modifying access to a fragment of the configuration hierarchy.

Extends ConfigurationAccess to support modifying values or inserting and removing elements.

Descendants of this service also implement this service unless they are marked read-only (which is indicated by attribute com::sun::star::beans::PropertyAttribute::READONLY), in which case they only need implement ConfigurationAccess.

The classification of implementations that is described for ConfigurationAccess applies to implementations of this service as well. Therefore an implementation will support one of several alternate services describing its Container role and one of several alternate services describing its Element role. These services are extensions of the respective services documented for ConfigurationAccess.

- Container role: A group permits changing child values. A set permits inserting and removing contained elements.
- Element role: The root element of a modifiable tree provides extended functionality to control processing of changes for the entire tree (fragment) by supporting com::sun::star::util::XChangesBatch. For elements of a set or a group no additional interfaces are supported.

See also
  ConfigurationProvider Root instances of this service can be requested from a ConfigurationProvider

Developers Guide
  Writing UNO Components - Disable Commands - Disabling Commands at Runtime
  Configuration Management - Object Model
  Configuration Management - Updating Configuration Data

## Exported Interfaces

## ◆ ConfigurationAccess

service ConfigurationAccess

is the basic service providing read access to an element of the configuration hierarchy and its child and descendent elements.

The HierarchyAccess specialization implemented will be further specialized to support modifying access. Implementations shall therefore implement one of SetUpdate or GroupUpdate depending on the Container role.

If the HierarchyElement specialization that is implemented is AccessRootElement, the implementation must support the extended functionality of UpdateRootElement. Otherwise, there are no new requirements mandated by the Element role.

## ◆ GroupUpdate

service GroupUpdate
| optional

specializes GroupAccess to support modifying contained data.

Implemented, if this element is a Group. Otherwise service SetUpdate is provided.

## ◆ SetUpdate

service SetUpdate
| optional

specializes SetAccess to support modifying the element.

Implemented, if this element is a Set. Otherwise service GroupUpdate is provided.

## ◆ UpdateRootElement

service UpdateRootElement
| optional

specializes AccessRootElement to support transaction-like control over a batch of changes accumulated within the tree fragment.

Implemented, if this element is the Root of the whole hierarchy. Otherwise either SetElement or GroupElement is provided.

See also
  ConfigurationProvider Instances obtained from a ConfigurationProvider will implement this version of HierarchyElement.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/ConfigurationUpdateAccess.idl